/* Breakpoints */

/* Sizes */

.catalogFilter__container {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: stretch;
  align-items: center;
}

.catalogFilter__input-search {
  flex-grow: 1;
  flex-shrink: 1;
}

.catalogFilter__input-search .g-input__icon {
  width: 20px;
  height: 20px;
  top: 50%;
  left: 16px;
  transform: translateY(-50%);
}

.catalogFilter__input-search .g-input__field {
  font-weight: 600;
  font-size: 16px;
  line-height: 18px;
  padding: 16px 16px 16px 43px;
  border-color: var(--gray-400);
}

.catalogFilter__input-search .g-input__field::placeholder {
  font: inherit;
}

.catalogFilter__btn {
  flex-grow: 0;
  flex-shrink: 0;
  margin-left: var(--padding-medium);
}

.setSlider__container {
  position: relative;
}

.setSlider__sliderWrap {
  --hover-offset: 10px;
  padding-top: var(--hover-offset);
  margin-top: calc(var(--hover-offset) * -1);
}

.setSlider__item {
  background-color: var(--white);
  border-radius: var(--border-radius-medium);
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.08);
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-items: stretch;
  overflow: hidden;
  transition: transform 0.25s ease;
  width: 250px;
}

.setSlider__picture {
  height: 84px;
  width: 100%;
}

[data-id="17"] .setSlider__img {
  object-position: top;
}

.setSlider__bottom {
  padding: var(--padding-medium);
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  align-items: center;
}

.setSlider__text {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: flex-start;
}

.setSlider__subTitle {
  color: var(--gray-500);
  margin-top: var(--padding-mini);
  font-size: var(--font-size-small);
}

.setSlider__btn {
  background: var(--green-light);
  border-radius: 50%;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  height: 24px;
  width: 24px;
  fill: none;
  stroke: var(--green);
  flex-shrink: 0;
}

.setSlider__btnSVG {
  height: 12px;
  width: 12px;
}

.setSlider__arrow {
  top: calc(50% + 18px);
}

.cartProducts {
  --product-margin-right: 10px;
}

@media (min-width: 768px) {
  .catalogFilter__btn {
    padding-left: var(--padding-huge);
    padding-right: var(--padding-huge);
  }

  .setSlider__picture {
    height: 121px;
  }

  .setSlider__btn {
    height: 31px;
    width: 31px;
  }
}

@media (min-width: 1100px) {
  .setSlider__title {
    margin-bottom: 16px;
  }

  .setSlider__sliderWrap {
    display: flex;
    flex-flow: row nowrap;
    justify-content: flex-start;
    align-items: stretch;
  }

  .setSlider__item {
    flex-shrink: 0;
    margin-right: 14px;
  }
}

@media (min-width: 1328px) {
  .setSlider__picture {
    height: 139px;
  }
}

@media (max-width: 1099px) {
  .setSlider__item + .setSlider__item {
    margin-left: 7px;
  }

  .setSlider__arrowContainer {
    display: none;
  }
}

@media (hover: hover) {
  .setSlider__item:hover {
    transform: translateY(calc(var(--hover-offset) * -1));
  }
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
